Only invoices in draft status can be sent.
curl --request POST \
--url https://api.bookeeping.ai/public-api/v1/invoices/{id}/send \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"metaData": {
"warnings": [
"<string>"
]
},
"data": {
"_id": "<string>",
"projectId": "<string>",
"status": "DRAFT",
"invoiceId": "<string>",
"discount": {},
"amount": 123,
"invoiceDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"currency": "<string>",
"lineItems": [
{}
],
"note": "<string>",
"calculated": {
"grandTotal": 123,
"tax": 123,
"discount": 123,
"subTotal": 123
},
"attachments": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"purchaseOrderId": "<string>",
"counterParty": {
"_id": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"type": "customer",
"otherEmails": [
"jsmith@example.com"
],
"address": {}
},
"convertedAmount": 123,
"convertedCurrency": "<string>",
"sendDate": "2023-11-07T05:31:56Z",
"sendBy": "<string>",
"cancellationReason": "<string>",
"cancellationDate": "2023-11-07T05:31:56Z",
"cancellationBy": "<string>",
"paidMarkedBy": "<string>",
"paidMarkedDate": "2023-11-07T05:31:56Z",
"attachedTransactionId": "<string>",
"payViaStripeAccountConnectionId": "<string>"
}
}API key for authentication. Get your key from the Dashboard > Settings > API Access.
The id of the invoice. Expected to be a valid object id like 666666666666666666666666
curl --request POST \
--url https://api.bookeeping.ai/public-api/v1/invoices/{id}/send \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"metaData": {
"warnings": [
"<string>"
]
},
"data": {
"_id": "<string>",
"projectId": "<string>",
"status": "DRAFT",
"invoiceId": "<string>",
"discount": {},
"amount": 123,
"invoiceDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"currency": "<string>",
"lineItems": [
{}
],
"note": "<string>",
"calculated": {
"grandTotal": 123,
"tax": 123,
"discount": 123,
"subTotal": 123
},
"attachments": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"purchaseOrderId": "<string>",
"counterParty": {
"_id": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"type": "customer",
"otherEmails": [
"jsmith@example.com"
],
"address": {}
},
"convertedAmount": 123,
"convertedCurrency": "<string>",
"sendDate": "2023-11-07T05:31:56Z",
"sendBy": "<string>",
"cancellationReason": "<string>",
"cancellationDate": "2023-11-07T05:31:56Z",
"cancellationBy": "<string>",
"paidMarkedBy": "<string>",
"paidMarkedDate": "2023-11-07T05:31:56Z",
"attachedTransactionId": "<string>",
"payViaStripeAccountConnectionId": "<string>"
}
}